/* ==========================================================================
   Blog List - Chequered style - begin
   ========================================================================== */

.mkdf-blog-holder {
	
    &.mkdf-blog-chequered {

        article {

            .mkdf-blog-masonry-gallery-link {
                position: absolute;
                left: 0;
                top: 0;
                width: 100%;
                height: 100%;
                z-index: 2;
            }
	        
            .mkdf-post-content {
                overflow: hidden;
                height: 100%;
                z-index: 3;
            }

            &.mkdf-post-no-media {
                .mkdf-post-content{
                    background-color: #f3f3f3;
                }
            }
	        
            .mkdf-post-heading {
	            height: 100%;
	            margin-bottom: 0;

                .mkdf-post-image {
                    height: 100%;
                }
            }
	        
            .mkdf-post-title {
                margin: 0;
            }
	        
            .mkdf-post-info-bottom {
                position: absolute;
                display: inline-block;
                bottom: 22px;
                left: 30px;
                width: auto;
                height: auto;
            }

            &.format-standard {
	            
                .mkdf-post-text {
	                position: absolute;
	                top: 0;
	                bottom: 0;
	                width: 100%;
	                padding: 30px;
                    background-color: rgba($first-main-color, 0.9);
	                opacity: 0;
	                box-sizing: border-box;
	                @include mkdfTransition(opacity .3s);
                }

                &:hover .mkdf-post-text {
                    opacity: 1;
                }
            }

            &.format-gallery {
                .mkdf-post-heading {
                    position: relative;
                }
            }

            &.format-link,
            &.format-quote {
	            
                .mkdf-post-text {
                    @include mkdfTableLayout();
                    background-color: #f3f3f3;
                    text-align: center;
                }
	            
                .mkdf-post-text-inner {
                    @include mkdfTableCellLayout();
                    padding-top: 0;
                    padding-bottom: 0;
                    z-index: 1;
                    box-sizing: border-box;
                }
	            
                .mkdf-post-mark{
                    position: relative;
	                top: auto;
	                right: auto;
	                width: auto;
	                border: none;
	                text-align: center;
                }
            }

            &.format-audio {
	            
                .mkdf-blog-audio-holder{
                    display: none;
                }
            }

            &.format-video,
            &.format-audio {
	            
                .mkdf-vb-play-icon {
                    position: absolute;
                    left: 50%;
                    top: 50%;
                    width: 56px;
                    height: 56px;
                    font-size: 56px;
                    color: #fff;
                    z-index: 2;
                    @include mkdfTransform(translate(-50%, -50%));
                }
            }
        }
    }
}
/* ==========================================================================
   Blog List - Chequered style - end
   ========================================================================== */